### Method

# Gtk TreeModel rows_reordered_with_length

#### Declaration [src]

    void
    gtk_tree_model_rows_reordered_with_length (
      GtkTreeModel* tree_model,
      GtkTreePath* path,
      GtkTreeIter* iter,
      int* new_order,
      int length
    )

#### Description [src]

Emits the ::rows-reordered signal on `tree_model`.

See `GtkTreeModel::rows-reordered`.

This should be called by models when their rows have been reordered.

#### Parameters

`path` | `GtkTreePath`
| A `GtkTreePath` pointing to the tree node whose children have been reordered.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A valid `GtkTreeIter` pointing to the node whose children have been reordered, or `NULL` if the depth of `path` is 0.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`new_order` | An array of `int`
| An array of integers mapping the current position of each child to its old position before the re-ordering, i.e. `new_order``[newpos] = oldpos`.
| The length of the array is specified in the `length` argument.
| The data is owned by the caller of the function.
`length` | `int`
| Length of `new_order` array.